#ifndef TI43X_MFSER_GPIO_H
#define TI43X_MFSER_GPIO_H

#define OMAP_GPIO(BANK, GPIO) ((BANK*32)+GPIO)

// M_* for machine specific GPIO pin

// gpio pins for Accessory Card 1
#define M_AP1_GPIO1 OMAP_GPIO(1,0)
#define M_AP1_GPIO2 OMAP_GPIO(3,24)
#define M_AP1_GPIO3 OMAP_GPIO(3,25)
#define M_AP1_GPIO4 OMAP_GPIO(0,24)
#define M_AP1_NRESET OMAP_GPIO(1,1)
#define M_AP1_NINT1 OMAP_GPIO(2,4)
#define M_AP1_NINT2 OMAP_GPIO(2,5)

// gpio pins for Accessory Card 2
#define M_AP2_GPIO1 OMAP_GPIO(3,19)
#define M_AP2_GPIO2 OMAP_GPIO(3,16)
#define M_AP2_GPIO3 OMAP_GPIO(3,20)
#define M_AP2_GPIO4 OMAP_GPIO(0,19)
#define M_AP2_NRESET OMAP_GPIO(5,29)
#define M_AP2_NINT1 OMAP_GPIO(3,17)
#define M_AP2_NINT2 OMAP_GPIO(3,18)

// gpio pins for built in serial
#define M_AP3_GPIO1 OMAP_GPIO(15,18)
#define M_AP3_GPIO2 OMAP_GPIO(15,19)
#define M_AP3_GPIO3 OMAP_GPIO(15,20)
#define M_AP3_GPIO4 OMAP_GPIO(15,21)
#endif  /* TI MTCDT3-BB */
